import React, {useState} from "react";
import {Button, Drawer, Menu, MenuItem, MenuList} from "@material-ui/core";
import {makeStyles} from "@material-ui/styles"
import CloseIcon from '@material-ui/icons/Close';

const useStyle = makeStyles(() => ({
    root: {
        transition: '1s',
        position: 'fixed',
        top: 0,
        left: 0,
    },
    menu: {
        borderRight: '1px solid #42424240',
        height: '100vh',
        margin: 10
    },
    btnOpenDrawer: {

    },
    btnCloseDrawer: {
        position: 'absolute',
        right: -35
    }
}))

const LeftBar = () => {
    const classes = useStyle();
    const [open, setOpen] = useState(false);

    const menu = (
        <div className={classes.menu}>
            <Button className={classes.btnCloseDrawer}>
                <CloseIcon onClick={() => setOpen(false)}/>
            </Button>
            <MenuItem><Button>Очно</Button></MenuItem>
            <MenuItem><Button>Дистанционно</Button></MenuItem>
        </div>
    )


    return (
        <div className={classes.root}>
            {open ? menu : <Button className={classes.btnOpenDrawer}>
                <CloseIcon onClick={() => setOpen(true)}/>
            </Button>}
        </div>
    )
}

export default LeftBar;